https://api.knoxapi.comList all SetupAttempts
GET/v1/setup_attempts
Returns a list of SetupAttempts that associate with a provided SetupIntent.
Query parameters
setup_intentstringRequiredOnly return SetupAttempts created by the SetupIntent specified by this ID.
createdobject | integerA filter on the list, based on the object
createdfield. The value can be a string with an integer Unix timestamp or a dictionary with a number of different query options.Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of setup_attempt objects.
curl -G https://api.knoxapi.com/v1/setup_attempts \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode setup_intent=seti_1Pgag7B7WZ01zgkWSgwGdb8Zconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const page = await stripe.setupAttempts.list({
setup_intent: 'seti_1Pgag7B7WZ01zgkWSgwGdb8Z',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
page = client.v1.setup_attempts.list(params={
"setup_intent": "seti_1Pgag7B7WZ01zgkWSgwGdb8Z",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
page = Stripe::SetupAttempt.list({
setup_intent: 'seti_1Pgag7B7WZ01zgkWSgwGdb8Z',
}){
"object": "list",
"url": "/v1/setup_attempts",
"has_more": false,
"data": [
{
"application": null,
"created": 1234567890,
"customer": null,
"flow_directions": null,
"id": "setatt_123456789012345678901234",
"livemode": false,
"object": "setup_attempt",
"on_behalf_of": null,
"payment_method": "card_1PgaftB7WZ01zgkWm3waTcFp",
"payment_method_details": {
"card": {
"brand": null,
"checks": {
"address_line1_check": null,
"address_postal_code_check": null,
"cvc_check": null
},
"country": null,
"exp_month": null,
"exp_year": null,
"fingerprint": null,
"funding": null,
"last4": null,
"network": null,
"three_d_secure": {
"authentication_flow": null,
"electronic_commerce_indicator": null,
"result": null,
"result_reason": null,
"transaction_id": null,
"version": null
},
"wallet": {
"type": "apple_pay"
}
},
"type": "card"
},
"setup_error": {
"type": "idempotency_error"
},
"setup_intent": "seti_1Pgag7B7WZ01zgkWSgwGdb8Z",
"status": "succeeded",
"usage": "off_session",
"customer_account": null
}
]
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.